add fedora 28 support

Change-Id: I0202943a5e02e0a4c13f044031defe1942b80736
parent ffc40191
......@@ -84,6 +84,8 @@ package-all: package-debian_9 \
package-fedora_26_i386 \
package-fedora_27 \
package-fedora_27_i386 \
package-fedora_28 \
package-fedora_28_i386 \
package-gentoo
# Append the output of make-packaging-target to this Makefile
......
FROM fedora:28
RUN dnf clean all
RUN dnf install -y yum-utils rpmdevtools
RUN dnf clean all
RUN dnf upgrade -y && \
dnf install -y \
git \
rpm-build \
tar \
make \
autoconf \
automake \
cmake \
speexdsp-devel \
pulseaudio-libs-devel \
libcanberra-devel \
libsamplerate-devel \
libtool \
dbus-devel \
expat-devel \
pcre-devel \
yaml-cpp-devel \
boost-devel \
dbus-c++-devel \
dbus-devel \
libsndfile-devel \
libXext-devel \
libXfixes-devel \
yasm \
speex-devel \
gsm-devel \
chrpath \
check \
astyle \
uuid-c++-devel \
libupnp-devel \
gettext-devel \
gcc-c++ \
which \
alsa-lib-devel \
systemd-devel \
libuuid-devel \
uuid-devel \
gnutls-devel \
nettle-devel \
opus-devel \
patch \
jsoncpp-devel \
libnatpmp-devel \
webkitgtk4-devel \
cryptopp-devel \
libva-devel \
libvdpau-devel \
msgpack-devel \
NetworkManager-libnm-devel \
openssl-devel
ADD scripts/build-package-fedora.sh /opt/build-package-fedora.sh
CMD /opt/build-package-fedora.sh
......@@ -154,6 +154,16 @@ def run_generate_all(parsed_args):
"debian_packaging_override": "",
"output_file": ".packages-built",
},
{
"distribution": "fedora_28",
"debian_packaging_override": "",
"output_file": ".packages-built",
},
{
"distribution": "fedora_28_i386",
"debian_packaging_override": "",
"output_file": ".packages-built",
},
# Gentoo
{
"distribution": "gentoo",
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment